diff a/src/hotspot/share/runtime/vmThread.hpp b/src/hotspot/share/runtime/vmThread.hpp
--- a/src/hotspot/share/runtime/vmThread.hpp
+++ b/src/hotspot/share/runtime/vmThread.hpp
@@ -133,17 +133,23 @@
   static void wait_until_executed(VM_Operation* op);
 
   // Printing
   const char* type_name() const { return "VMThread"; }
 
+  static void init_counters();
+  static void print_counters_on(outputStream* st);
+
  private:
   // VM_Operation support
   static VM_Operation*     _cur_vm_operation;   // Current VM operation
   static VM_Operation*     _next_vm_operation;  // Next VM operation
 
   bool set_next_operation(VM_Operation *op);    // Set the _next_vm_operation if possible.
 
   // Pointer to single-instance of VM thread
   static VMThread*     _vm_thread;
+
+  static PerfTickCounters* get_perf_timer_for(VM_Operation* op);
+  static PerfCounter* get_perf_counter_for(VM_Operation* op);
 };
 
 #endif // SHARE_RUNTIME_VMTHREAD_HPP
